#! /bin/sh
# ==================================================================== 
#
#   ECM: The Extensible Container Model
#   Copyright (C) 2004 THALES
#   Contact: openccm-ecm@objectweb.org
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License as published by the Free Software Foundation; either
#   version 2.1 of the License, or any later version.
#
#   This library is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#   USA
#
#   Initial developer(s): Mathieu Vadet
#   Initial funding: IST COACH European Project (IST-2001-34445)
#                    http://www.ist-coach.org
#
# ==================================================================== 


#
#  Starts the demo
#

usage() {
    echo "usage: sessiondemo_start.sh [options]"
    echo "Starts the demo."
    echo "--"
    echo "The following options are supported:"
    echo "  -h, --help     Print this message"
    echo "  -d, --debug    Activate debug mode (optional)"
    exit 1;
}


# parse arguments
debug=

for param in $@ ;
do
    if [ "$param" = "-h" ] || [ "$param" = "--help" ] ;
    then
        usage;
    elif [ "$param" = "-d" ] || [ "$param" = "--debug" ] ;
    then
        debug=--debug ;
    fi

    shift;
done


# start the NS
@ECM.install.bin.dir@/ns_start.sh $debug

# start the ExtCI with component zips
client_zip=DCE:ClientImpl=file:@ECM.install.zip.dir@/sessiondemo_client.zip
server_zip=DCE:ServerImpl=file:@ECM.install.zip.dir@/sessiondemo_server.zip

@ECM.install.bin.dir@/extci_start.sh $debug --autoload "$client_zip,$server_zip"

# start a CCM runtime with the client home
echo Starting CCM runtime with the client home
@ECM.install.bin.dir@/ccm_runtime_start.sh $debug --uuid DCE:ClientImpl ClientHome

# start a CCM runtime with the server home
echo Starting CCM runtime with the server home
@ECM.install.bin.dir@/ccm_runtime_start.sh $debug --uuid DCE:ServerImpl ServerHome

# start the main
entrypt=org.objectweb.ccm.sessiondemo.SessionDemo.main
location=@ECM.install.lib.dir@/sessiondemo_main.jar
@ECM.install.bin.dir@/corba_runtime_start.sh $debug --entrypoint $entrypt --location $location SessionDemoMain

echo "Demo started"
