// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>The <tt>ComponentRuntimeConfiguration</tt> stores the various information which must/may
 **  be passed to the <tt>ComponentRuntime.loadHome</tt> operation.</p>
 **
 **  @see org.objectweb.corba.runtime.ComponentRuntime ComponentRuntime
 **/
public class ComponentRuntimeConfiguration
{
    // config with an already existing ORB service
    public String[] service_uuids;
    public org.coach.ECM.DegeneratedServiceRef[] dservice_refs;
    public ORBService orb_service;

    // config with no pre-existing ORB service and an already existing ExtCI
    // public String[] service_uuids;
    // public org.coach.ECM.DegeneratedServiceRef[] dservice_refs;
    public StringifiedInitialReference[] initial_references;

    // config with no pre-existing ORB service and no pre-existing ExtCI
    // TODO

    // general elements
    public String implementation_uuid;
    public String runtime_id;
    public String runtime_iorfile;

    public
    ComponentRuntimeConfiguration()
    {
        // config with an already existing ORB service
        service_uuids = new String[0];
        dservice_refs = new org.coach.ECM.DegeneratedServiceRef[0];
        orb_service = null;

        // config with no pre-existing ORB service
        initial_references = new StringifiedInitialReference[0];

        // config with no pre-existing ORB service and no pre-existing ExtCI
        // TODO

        // general elements
        implementation_uuid = null;
        runtime_id = null;
        runtime_iorfile = null;
    }
}
