// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Storage class for the call interceptors.</p>
 **/
public class CallInformation
{
    // operation information
    private org.coach.ECA.ServerCallController[] _server_controllers;
    private org.coach.ECA.ClientCallController[] _client_controllers;
    public Policy[] policies;

    // default constructor
    public
    CallInformation()
    {
        // operation information
        _client_controllers = null;
        _server_controllers = null;
        policies = null;
    }

    //
    //  public operations
    //

    final public org.coach.ECA.ServerCallController[]
    getServerCallControllers()
    {
        if (_server_controllers==null) {
            _server_controllers = new org.coach.ECA.ServerCallController[policies.length];
            for (int i=0;i<policies.length;i++) {
                _server_controllers[i] = (org.coach.ECA.ServerCallController)policies[i].get_call_controller();
            }
        }

        return _server_controllers;
    }

    final public org.coach.ECA.ClientCallController[]
    getClientCallControllers()
    {
        if (_client_controllers==null) {
            _client_controllers = new org.coach.ECA.ClientCallController[policies.length];
            for (int i=0;i<policies.length;i++) {
                _client_controllers[i] = (org.coach.ECA.ClientCallController)policies[i].get_call_controller();
            }
        }

        return _client_controllers;
    }
}
