@echo off
REM ==================================================================== 
REM
REM   ECM: The Extensible Container Model
REM   Copyright (C) 2004 THALES
REM   Contact: openccm-ecm@objectweb.org
REM
REM   This library is free software; you can redistribute it and/or
REM   modify it under the terms of the GNU Lesser General Public
REM   License as published by the Free Software Foundation; either
REM   version 2.1 of the License, or any later version.
REM
REM   This library is distributed in the hope that it will be useful,
REM   but WITHOUT ANY WARRANTY; without even the implied warranty of
REM   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
REM   Lesser General Public License for more details.
REM
REM   You should have received a copy of the GNU Lesser General Public
REM   License along with this library; if not, write to the Free Software
REM   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
REM   USA
REM
REM   Initial developer(s): Mathieu Vadet
REM   Initial funding: IST COACH European Project (IST-2001-34445)
REM                    http://www.ist-coach.org
REM
REM ==================================================================== 


REM
REM  Stop a started CCM runtime
REM

setlocal

goto begin

:usage
    echo usage: corba_runtime_stop.bat [options]
    echo Stops a CCM runtime.
    echo --
    echo The following options are supported:
    echo   /h, /help    Print this message
    echo   /debug       Activate debug mode (optional)
    echo   name         The logical name of the CORBA runtime, no default value (mandatory)
    exit /B 1


:begin
set name=
set debug=

:parse_args
if not "%1"=="" (
    if "%1"=="/h" (
        goto usage
    ) else if "%1"=="/help" (
        goto usage
    ) else if "%1"=="/debug" (
        set debug=t
    ) else (
        set name=%1
    )

    shift
    goto parse_args
)

REM check if name is set
if not defined name (
    echo ERROR: logical name of the CCM runtime is missing.
    exit /B 1
)

REM Check if the CCM Runtime is started.
if not exist %CCM_RUNTIME_REPOSITORY%\%name%.pid (
    if defined debug (
        echo WARNING: No CCM runtime with logical name: %name% is started
    )

    goto :eof
)

REM stop the service by killing it
@OpenCCM.install.bin.dir@\kill F%CCM_RUNTIME_REPOSITORY%\%name%.pid 2> nul

REM remove the associated files
del %CCM_RUNTIME_REPOSITORY%\%name%.* 2> nul

:eof
