// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 ** <p></p>
 **/
public class EmitterSet
implements java.io.Serializable
{
    // set
    static final private String _class_name = "EmitterSet";
    private Emitter[] _elements;

    // default constructor
    public
    EmitterSet()
    {
        // set
        _elements = new Emitter[0];
    }

    // constructor with array of emitters
    public
    EmitterSet(Emitter[] emitters)
    {
        // set
        _elements = emitters;
    }

    //
    //  public operations
    //

    final public void
    initializeChannel(org.omg.Components.CCM2Context ctx)
    {
        Emitter[] emitters = _elements;
        for (int i=0;i<emitters.length;i++) {
            try {
                int chid = ctx.get_events().get_channel(emitters[i].name);
                emitters[i].channel_id = chid;
            } catch (org.omg.Components.ChannelUnavailable ex) {
                // TODO: what should be done ?
                final String opname = "initializeChannel";
                TheLogger.error(_class_name, opname, "FAILED", ex);
            }
        }
    }

    final public Emitter
    get(String name)
    throws org.omg.Components.InvalidName
    {
        Emitter[] emitters = _elements;
        for (int i=0;i<emitters.length;i++) {
            if (emitters[i].name.equals(name)) {
                return emitters[i];
            }
        }

        throw new org.omg.Components.InvalidName();
    }

    final public Emitter
    uncheckedGet(String name)
    {
        Emitter[] emitters = _elements;
        for (int i=0;i<emitters.length;i++) {
            if (emitters[i].name.equals(name)) {
                return emitters[i];
            }
        }

        // should not happen
        return null;
    }
}
