// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Default implementation of the <tt>Components::LocalReceptacles</tt> OMG IDL local interface..</p>
 **/
public class LocalReceptaclesImpl
extends org.omg.CORBA.LocalObject
implements org.omg.Components.LocalReceptacles
{
    // receptalces
    static private String _class_name = "LocalReceptaclesImpl";
    private HomeLocalReceptaclesImpl _delegate;
    private byte[] _component_id;

    // default constructor
    public
    LocalReceptaclesImpl(HomeLocalReceptaclesImpl recs, byte[] cid)
    {
        // receptalces
        _delegate = recs;
        _component_id = cid;
    }

    //
    //  IDL:omg.org/Components/LocalReceptacles:1.0
    //

    final public org.omg.Components.Cookie
    connect(String name, org.omg.CORBA.Object obj)
    {
        return _delegate.connect(_component_id, name, obj);
    }

    final public org.omg.CORBA.Object
    disconnect(org.omg.Components.Cookie ck)
    throws org.omg.Components.InvalidSubscription
    {
        return _delegate.disconnect(_component_id, ck);
    }

    final public org.omg.Components.LocalConnection[]
    get_connections(String name)
    throws org.omg.Components.InvalidName
    {
        return _delegate.get_connections(_component_id, name);
    }
}
