// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Default implementation of the <tt>ECA::CallControllerInitInfo</tt> OMG IDL interface. This
 **  implementation uses the slot factory singleton of the <tt>ComponentRuntime</tt> object.</p>
 **
 **  @see org.objectweb.ccm.runtime.ComponentRuntime ComponentRuntime
 **/
public class CallControllerInitInfoImpl
extends org.omg.CORBA.LocalObject
implements org.coach.ECA.CallControllerInitInfo
{
    // call controller init info
    private SlotFactory _slot_factory;

    // default constructor
    public
    CallControllerInitInfoImpl()
    {
        // call controller init info
        _slot_factory = ComponentRuntime.getSlotFactory();
    }

    //
    //  IDL:coach.org/ECA/CallControllerInitInfo:1.0
    //

    final public int
    allocate_slot_id()
    {
        return _slot_factory.allocateSlotId();
    }
}
