// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 **  <p>Default implementation of the <tt>Slot</tt> interface.</p>
 **/
public class SlotImpl
extends org.omg.CORBA.LocalObject
implements org.coach.ECA.Slot
{
    // slot
    private java.util.Hashtable _values;  // (thread id, hashtable of values)
    private int _slot_id;
    private String _slot_id_str;

    // default constructor
    public
    SlotImpl(java.util.Hashtable values, int sid)
    {
        // slot
        _values = values;
        _slot_id = sid;
        _slot_id_str = Integer.toString(sid);
    }

    //
    // internal operations
    //

    private java.util.Hashtable
    getStorageForThread(String tname)
    {
        java.util.Hashtable table = (java.util.Hashtable)_values.get(tname);
        if (table==null) {
            table = new java.util.Hashtable();
            _values.put(tname, table);
        }

        return table;
    }

    private org.omg.CORBA.Any
    getValue(String tname, String key)
    {
        String rkey = _slot_id_str + key;
        return (org.omg.CORBA.Any)getStorageForThread(tname).get(rkey);
    }

    private void
    putValue(String tname, String key, org.omg.CORBA.Any value)
    {
        String rkey = _slot_id_str + key;
        getStorageForThread(tname).put(rkey, value);
    }

    //
    //  IDL:coach.org/ECA/Slot:1.0
    //

    final public void
    put(String key, org.omg.CORBA.Any value)
    {
        putValue(Thread.currentThread().getName(), key, value);
    }

    final public org.omg.CORBA.Any
    get(String key)
    {
        return getValue(Thread.currentThread().getName(), key);
    }
}
