// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.corba.runtime;

/**
 **  <p>Default implementation of the <tt>ORBConfiguration</tt> interface. Null values are permitted for
 **  the constructor parameters.</p>
 **/
public class POAConfigurationImpl
extends org.omg.CORBA.LocalObject
implements POAConfiguration
{
    // poa configuration
    private String _name;
    private org.omg.CORBA.Policy[] _policies;
    private ORBService _orb_service;

    // default constructor
    public
    POAConfigurationImpl(String name, 
                         org.omg.CORBA.Policy[] pols,
                         ORBService orbs)
    {
        // poa configuration
        _name = name;
        _orb_service = orbs;

        if (pols==null) {
            _policies = new org.omg.CORBA.Policy[0];
        } else {
            _policies = pols;
        }
    }

    //
    //  IDL:objectweb.org/corba/runtime/POAConfiguration:1.0
    //

    final public String
    name()
    {
        return _name;
    }

    final public org.omg.CORBA.Policy[]
    policies()
    {
        return _policies;
    }

    final public ORBService
    orb_service()
    {
        return _orb_service;
    }
}
