// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.corba.runtime;

/**
 **  <p>Default implementation of the <tt>ServantConfiguration</tt> interface. Null values are permitted for
 **  the constructor parameters.</p>
 **/
public class ServantConfigurationImpl
extends org.omg.CORBA.LocalObject
implements ServantConfiguration
{
    // servant configuration
    private ORBService _orb_service;
    private POAService _poa_service;

    // default constructor
    public
    ServantConfigurationImpl(ORBService orbs, POAService poas)
    {
        // servant configuration
        _orb_service = orbs;
        _poa_service = poas;
    }

    //
    //  IDL:objectweb.org/corba/runtime/ServantConfiguration:1.0
    //

    final public ORBService
    orb_service()
    {
        return _orb_service;
    }

    final public POAService
    poa_service()
    {
        return _poa_service;
    }
}
