// ====================================================================
// 
//   ECM: The Extensible Container Model
//   Copyright (C) 2004 THALES
//   Contact: openccm-ecm@objectweb.org
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
//   USA
//
//   Initial developer(s): Mathieu Vadet.
//   Initial Funding: IST COACH European project (IST-2001-34445)
//                    http://www.ist-coach.org 
//
// ====================================================================



package org.objectweb.ccm.runtime;

import org.objectweb.corba.runtime.*;

/**
 ** <p></p>
 **/
abstract public class Session2ContextBase
extends org.omg.CORBA.LocalObject
implements org.omg.Components.Session2Context, java.io.Serializable
{
    // context
    private org.omg.Components.CCM2Context _context;
    protected ReceptacleSet _receptacles;
    protected EmitterSet _emitters;
    protected PublisherSet _publishers;

    // constructor for serialization
    public
    Session2ContextBase()
    {
        // context
        _context = null;
        _receptacles = null;
        _emitters = null;
        _publishers = null;
    }

    // default constructor
    protected
    Session2ContextBase(org.omg.Components.CCM2Context ctx,
                        ReceptacleSet rset,
                        EmitterSet eset,
                        PublisherSet pset)
    {
        // context
        _context = ctx;
        _receptacles = rset;
        _emitters = eset;
        _publishers = pset;
    }

    //
    //  IDL:omg.org/Components/CCMContext:1.0
    //

    final public org.omg.Components.CCMHome
    get_CCM_home()
    {
        return _context.get_CCM_home();
    }

    //
    //  IDL:omg.org/Components/CCM2Context:1.0
    //

    final public org.omg.Components.HomeRegistrationLocal
    get_home_registration()
    {
        return _context.get_home_registration();
    }

    final public void
    req_passivate()
    throws org.omg.Components.IllegalState,
           org.omg.Components.PolicyMismatch
    {
        _context.req_passivate();
    }

    final public org.omg.Components.LocalEvents
    get_events()
    {
        return _context.get_events();
    }

    final public org.omg.Components.LocalReceptacles
    get_receptacles()
    {
        return _context.get_receptacles();
    }

    final public void
    remove_component(org.omg.Components.CCMObject comp)
    {
        _context.remove_component(comp);
    }

    final public void
    register_valuefactory(String typeid, org.omg.CORBA.portable.ValueFactory vfact)
    {
        _context.register_valuefactory(typeid, vfact);
    }

    final public org.omg.CORBA.Any
    create_any()
    {
        return _context.create_any();
    }

    //
    //  IDL:omg.org/Components/SessionContext:1.0
    //

    final public org.omg.CORBA.Object
    get_CCM_object()
    throws org.omg.Components.IllegalState
    {
        return ((org.omg.Components.SessionContext)_context).get_CCM_object();
    }

    //
    //  IDL:omg.org/Components/Session2Context:1.0
    //

    final public byte[]
    get_object_id()
    throws org.omg.Components.IllegalState
    {
        return ((org.omg.Components.Session2Context)_context).get_object_id();
    }

    final public org.omg.CORBA.Object
    create_ref(String repid)
    {
        return ((org.omg.Components.Session2Context)_context).create_ref(repid);
    }

    final public org.omg.CORBA.Object
    create_ref_with_id(byte[] id, String repid)
    {
        return ((org.omg.Components.Session2Context)_context).create_ref_with_id(id, repid);
    }

    final public byte[]
    get_id_from_ref(org.omg.CORBA.Object ref)
    throws org.omg.Components.BadComponentReference
    {
        return ((org.omg.Components.Session2Context)_context).get_id_from_ref(ref);
    }

    final public org.omg.CORBA.Object
    create_with_new_target(String repid)
    throws org.omg.Components.IllegalState
    {
        return ((org.omg.Components.Session2Context)_context).create_with_new_target(repid);
    }
}
